Api Release - Create Or Update
为 API 创建新版本。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/apis/{apiId}/releases/{releaseId}?api-version=2024-05-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
api
|
path | True |
string minLength: 1maxLength: 80 |
API 标识符。 当前 API 管理服务实例中必须是唯一的。 |
|
release
|
path | True |
string minLength: 1maxLength: 80 pattern: ^[^*#&+:<>?]+$ |
API 中的发布标识符。 当前 API 管理服务实例中必须是唯一的。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 名称不区分大小写。 |
|
service
|
path | True |
string minLength: 1maxLength: 50 pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$ |
API 管理服务的名称。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
请求头
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| If-Match |
string |
实体的 ETag。 创建实体时不需要,但在更新实体时是必需的。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| properties.apiId |
string |
发布所属的 API 的标识符。 |
| properties.notes |
string |
发行说明 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
已成功更新发布。 标头 ETag: string |
|
| 201 Created |
已成功创建发布。 标头 ETag: string |
|
| Other Status Codes |
描述作失败的原因的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
ApiManagementCreateApiRelease
示例请求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/a1/releases/testrev?api-version=2024-05-01
{
"properties": {
"apiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/a1",
"notes": "yahooagain"
}
}
示例响应
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/a1/releases/testrev",
"type": "Microsoft.ApiManagement/service/apis/releases",
"name": "testrev",
"properties": {
"apiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/a1",
"createdDateTime": "2018-02-08T20:52:00.65Z",
"updatedDateTime": "2018-02-08T20:52:00.65Z",
"notes": "yahooagain"
}
}
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/a1/releases/testrev",
"type": "Microsoft.ApiManagement/service/apis/releases",
"name": "testrev",
"properties": {
"apiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/a1",
"createdDateTime": "2018-02-08T20:52:00.65Z",
"updatedDateTime": "2018-02-08T20:52:00.65Z",
"notes": "yahooagain"
}
}
定义
| 名称 | 说明 |
|---|---|
|
Api |
ApiRelease 详细信息。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
ApiReleaseContract
ApiRelease 详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
资源的名称 |
| properties.apiId |
string |
发布所属的 API 的标识符。 |
| properties.createdDateTime |
string (date-time) |
API 发布时间。 日期符合以下格式:yyyy-MM-ddTHH:mm:ssZ,由 ISO 8601 标准指定。 |
| properties.notes |
string |
发行说明 |
| properties.updatedDateTime |
string (date-time) |
API 版本更新的时间。 |
| type |
string |
资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |